#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		_x11fontdir	%{_datadir}/fonts/X11
%define		_otf_fontdir	%{_x11fontdir}
%define		_ttf_fontdir	%{_x11fontdir}
%define		_catalogue	%{_sysconfdir}/X11/fontpath.d
#-----------------------------------------------------------------------------
Name		:	xorg-x11-fonts
Version		:	8.3
Release		:	14.8.0.0%{?dist}
Summary		:	X.Org X11 fonts
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/archive//individual/font/

Source0		:	encodings-1.0.5.tar.gz
Source1		:	font-alias-1.0.3.tar.bz2
Source2		:	font-adobe-75dpi-1.0.3.tar.bz2
Source3		:	font-adobe-100dpi-1.0.3.tar.bz2
Source4		:	font-adobe-utopia-75dpi-1.0.3.tar.bz2
Source5		:	font-adobe-utopia-100dpi-1.0.3.tar.bz2
Source6		:	font-adobe-utopia-type1-1.0.4.tar.bz2
Source7		:	font-arabic-misc-1.0.3.tar.bz2
Source8		:	font-bh-75dpi-1.0.3.tar.bz2
Source9		:	font-bh-100dpi-1.0.3.tar.bz2
Source10	:	font-bh-lucidatypewriter-75dpi-1.0.3.tar.bz2
Source11	:	font-bh-lucidatypewriter-100dpi-1.0.3.tar.bz2
Source12	:	font-cronyx-cyrillic-1.0.3.tar.bz2
Source13	:	font-cursor-misc-1.0.3.tar.bz2
Source14	:	font-misc-cyrillic-1.0.3.tar.bz2
Source15	:	font-misc-ethiopic-1.0.3.tar.bz2
Source16	:	font-misc-misc-1.1.2.tar.bz2
Source17	:	font-xfree86-type1-1.0.4.tar.bz2
Source18	:	font-daewoo-misc-1.0.3.tar.bz2
Source19	:	font-mutt-misc-1.0.3.tar.bz2
Source20	:	font-bitstream-75dpi-1.0.3.tar.bz2
Source21	:	font-bitstream-100dpi-1.0.3.tar.bz2
Source22	:	font-bitstream-type1-1.0.3.tar.bz2
Source23	:	font-sony-misc-1.0.3.tar.bz2
Source24	:	font-sun-misc-1.0.3.tar.bz2
Source25	:	font-screen-cyrillic-1.0.4.tar.bz2
Source26	:	font-winitzki-cyrillic-1.0.3.tar.bz2
Source27	:	font-schumacher-misc-1.1.2.tar.bz2
Source28	:	font-dec-misc-1.0.3.tar.bz2
Source29	:	font-isas-misc-1.0.3.tar.bz2
Source30	:	font-jis-misc-1.0.3.tar.bz2
Source31	:	font-micro-misc-1.0.3.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	bdftopcf
BuildRequires	:	font-util
BuildRequires	:	fontconfig-devel
BuildRequires	:	mkfontdir
BuildRequires	:	mkfontscale

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
X.Org X Window System fonts

%prep
%define	falias		-a  1
%define fmisc1		-a  7 -a 13 -a 15 -a 16 -a 18 -a 19
%define fmisc2		-a 22 -a 23 -a 24 -a 27 -a 28 -a 29 -a 30 -a 31
%define fcyrille  	-a 12 -a 14 -a 25 -a 26
%define ftype1  	-a  6 -a 17 -a 22
%define f75dpi  	-a  2 -a  4 -a  8 -a 10 -a 20
%define f100dpi  	-a  3 -a  5 -a  9 -a 11 -a 21

%define fmisc		%{fmisc1} %{fmisc2}
%define fdpi		%{f75dpi} %{f100dpi}

%define	filelst		%{falias} %{fmisc} %{fcyrille} %{ftype1} %{fdpi}
		

%setup	-q -c %{name}-%{version} %{filelst}

#---------------------------------------------------------
%package misc
Summary		:	misc bitmap fonts for the X Window System

Requires(post)	:	mkfontdir,  mkfontscale, fontconfig
Requires(postun):	mkfontdir,  mkfontscale, fontconfig

Provides	:	xorg-x11-fonts-base

%description misc
This package contains misc bitmap Chinese, Japanese, Korean,
Indic, and Arabic fonts for use with X Window System.
#---------------------------------------------------------
%package cyrillic
Summary		:	Cyrillic fonts for X.

Requires(post)	:	mkfontdir,  mkfontscale, fontconfig
Requires(postun):	mkfontdir,  mkfontscale, fontconfig

%description cyrillic
Contains a set of Cyrillic fonts.
#---------------------------------------------------------
%package ethiopic
Summary		:	Ethiopic fonts for X.

Requires(post)	:	mkfontdir,  mkfontscale, fontconfig
Requires(postun):	mkfontdir,  mkfontscale, fontconfig

%description ethiopic
Ethiopic fonts which are part of the core X Window System distribution.
#---------------------------------------------------------
%package 75dpi
Summary		:	A set of 75dpi resolution fonts for the X Window System.

Requires(post)	:	mkfontdir,  mkfontscale, fontconfig
Requires(postun):	mkfontdir,  mkfontscale, fontconfig

%description 75dpi
%{summary}
#---------------------------------------------------------
%package 100dpi
Summary		:	A set of 100dpi resolution fonts for the X Window System.

Requires(post)	:	mkfontdir,  mkfontscale, fontconfig
Requires(postun):	mkfontdir,  mkfontscale, fontconfig

%description 100dpi
%{summary}
#---------------------------------------------------------
%package Type1
Summary		:	Type1 fonts provided by the X Window System

Requires(post)	:	mkfontdir,  mkfontscale, fontconfig
Requires(postun):	mkfontdir,  mkfontscale, fontconfig


%description Type1
A collection of Type1 fonts which are part of the core X Window System
distribution.
#==========================================================
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

for dir in * ;
  do
  pushd $dir
  autoconf
  ./configure						\
	$XORG_CONFIG					\
	--sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
	--sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}

  %{__make}						\
	%{_smp_mflags}
  popd
  done


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}
for dir in * ;
  do
  %{__make}						\
	-C $dir						\
	DESTDIR=%{buildroot}				\
	install
  done
# Install catalogue symlinks
%{__mkdir_p} %{buildroot}%{_catalogue}
for f in						\
	misc:unscaled:pri=10				\
	75dpi:unscaled:pri=20				\
	100dpi:unscaled:pri=30				\
	Type1						\
	TTF						\
	OTF						\
	cyrillic					\
	; do
  %{__ln_s} -f						\
	%{_x11fontdir}/${f%%%%:*}			\
	%{buildroot}%{_catalogue}/xorg-x11-fonts-$f
  done

# Create fake %ghost files for file manifests.
FONTDIR=%{buildroot}%{_x11fontdir}
FONTLIST="misc cyrillic OTF TTF Type1 100dpi 75dpi"  
# Create fake %ghost encodings.dir, fonts.dir, fonts.cache-*
for subdir in $FONTLIST
  do
  rm -f $FONTDIR/$subdir/{encodings,fonts}.dir
  touch $FONTDIR/$subdir/{encodings,fonts}.dir
  chmod 0644 $FONTDIR/$subdir/{encodings,fonts}.dir
  # Create bogus fonts.cache-* files
  # Create somewhat future-proofed ghosted fonts.cache-* files so that
  # the font packages own these files.
  for fcver in $(seq 1 9) ; do
    touch $FONTDIR/$subdir/fonts.cache-$fcver
    chmod 0644 $FONTDIR/$subdir/fonts.cache-$fcver
    done
  done
#==========================================================================
#file definition area
%files misc
%defattr(-,root,root,-)
%dir %{_catalogue}
%{_catalogue}/xorg-x11-fonts-misc:unscaled:pri=10
%ghost %verify(not md5 size mtime) %{_x11fontdir}/encodings/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/encodings/large/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.cache-*
#NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.alias
%{_x11fontdir}/encodings/*.enc.gz
%{_x11fontdir}/encodings/large/*.enc.gz
%{_x11fontdir}/misc/*.gz

%files cyrillic
%defattr(-,root,root,-)
%dir %{_catalogue}
%{_catalogue}/xorg-x11-fonts-cyrillic
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.cache-*
# font-cronyx-cyrillic
%{_x11fontdir}/cyrillic/crox[1-6]*.pcf.gz
%{_x11fontdir}/cyrillic/koi10x16b.pcf.gz
%{_x11fontdir}/cyrillic/koi10x20.pcf.gz
%{_x11fontdir}/cyrillic/koi6x10.pcf.gz
%{_x11fontdir}/cyrillic/koinil2.pcf.gz
# font-misc-cyrillic
%{_x11fontdir}/cyrillic/koi12x24*.pcf.gz
%{_x11fontdir}/cyrillic/koi6x13.pcf.gz
%{_x11fontdir}/cyrillic/koi6x13b.pcf.gz
%{_x11fontdir}/cyrillic/koi6x9.pcf.gz
%{_x11fontdir}/cyrillic/koi[5789]x*.pcf.gz
# font-screen-cyrillic
%{_x11fontdir}/cyrillic/screen8x16*.pcf.gz
# font-winitzki-cyrillic
%{_x11fontdir}/cyrillic/proof9x16.pcf.gz

%files ethiopic
%defattr(-,root,root,-)
%dir %{_catalogue}
%{_catalogue}/xorg-x11-fonts-TTF
%{_catalogue}/xorg-x11-fonts-OTF
# TTF fonts
%dir %{_x11fontdir}/TTF
# font-misc-ethiopic
%{_x11fontdir}/TTF/GohaTibebZemen.ttf
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.cache-*
# OTF fonts
%dir %{_x11fontdir}/OTF
%{_x11fontdir}/OTF/GohaTibebZemen.otf
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.cache-*

%files 75dpi
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.alias
%dir %{_catalogue}
%{_catalogue}/xorg-x11-fonts-75dpi:unscaled:pri=20
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache-*
# font-adobe-75dpi
%{_x11fontdir}/75dpi/cour[BOR]??.pcf.gz
%{_x11fontdir}/75dpi/cour[BOR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/courBO??.pcf.gz
%{_x11fontdir}/75dpi/courBO??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/helv[BOR]??.pcf.gz
%{_x11fontdir}/75dpi/helv[BOR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/helvBO??.pcf.gz
%{_x11fontdir}/75dpi/helvBO??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/ncen[BIR]??.pcf.gz
%{_x11fontdir}/75dpi/ncen[BIR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/ncenBI??.pcf.gz
%{_x11fontdir}/75dpi/ncenBI??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/tim[BIR]??.pcf.gz
%{_x11fontdir}/75dpi/tim[BIR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/timBI??.pcf.gz
%{_x11fontdir}/75dpi/timBI??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/symb??.pcf.gz
# font-bh-lucidatypewriter-75dpi
%{_x11fontdir}/75dpi/lut[BR]S??.pcf*
%{_x11fontdir}/75dpi/lut[BR]S??-ISO8859-*.pcf*
# font-bh-75dpi
%{_x11fontdir}/75dpi/luBIS??.pcf.gz
%{_x11fontdir}/75dpi/luBIS??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/lub[BIR]??.pcf.gz
%{_x11fontdir}/75dpi/lub[BIR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/lubBI??.pcf.gz
%{_x11fontdir}/75dpi/lubBI??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/lu[BIR]S??.pcf.gz
%{_x11fontdir}/75dpi/lu[BIR]S??-ISO8859-*.pcf.gz
# font-adobe-utopia-75dpi
%{_x11fontdir}/75dpi/UTBI__??.pcf.gz
%{_x11fontdir}/75dpi/UTBI__??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/UT[BI]___??.pcf.gz
%{_x11fontdir}/75dpi/UT[BI]___??-ISO8859-*.pcf.gz
%{_x11fontdir}/75dpi/UTRG__??.pcf.gz
%{_x11fontdir}/75dpi/UTRG__??-ISO8859-*.pcf.gz
# font-bitstream-75dpi
%{_x11fontdir}/75dpi/char[BIR]??.pcf.gz
%{_x11fontdir}/75dpi/charBI??.pcf.gz
%{_x11fontdir}/75dpi/tech14.pcf.gz
%{_x11fontdir}/75dpi/techB14.pcf.gz
%{_x11fontdir}/75dpi/term14.pcf.gz
%{_x11fontdir}/75dpi/termB14.pcf.gz


%files 100dpi
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.alias
%dir %{_catalogue}
%{_catalogue}/xorg-x11-fonts-100dpi:unscaled:pri=30
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache-*
# font-adobe-100dpi
%{_x11fontdir}/100dpi/cour[BOR]??.pcf.gz
%{_x11fontdir}/100dpi/courBO??.pcf.gz
%{_x11fontdir}/100dpi/helv[BOR]??.pcf.gz
%{_x11fontdir}/100dpi/helvBO??.pcf.gz
%{_x11fontdir}/100dpi/ncen[BIR]??.pcf.gz
%{_x11fontdir}/100dpi/ncenBI??.pcf.gz
%{_x11fontdir}/100dpi/tim[BIR]??.pcf.gz
%{_x11fontdir}/100dpi/timBI??.pcf.gz
%{_x11fontdir}/100dpi/symb??.pcf.gz
%{_x11fontdir}/100dpi/cour[BOR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/courBO??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/helv[BOR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/helvBO??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/ncen[BIR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/ncenBI??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/tim[BIR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/timBI??-ISO8859-*.pcf.gz
# font-adobe-utopia-100dpi
%{_x11fontdir}/100dpi/UTBI__??.pcf.gz
%{_x11fontdir}/100dpi/UT[BI]___??.pcf.gz
%{_x11fontdir}/100dpi/UTRG__??.pcf.gz
%{_x11fontdir}/100dpi/UTBI__??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/UT[BI]___??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/UTRG__??-ISO8859-*.pcf.gz
# font-bh-100dpi
%{_x11fontdir}/100dpi/luBIS??.pcf.gz
%{_x11fontdir}/100dpi/lu[BIR]S??.pcf.gz
%{_x11fontdir}/100dpi/lub[BIR]??.pcf.gz
%{_x11fontdir}/100dpi/lubBI??.pcf.gz
%{_x11fontdir}/100dpi/luBIS??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/lu[BIR]S??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/lub[BIR]??-ISO8859-*.pcf.gz
%{_x11fontdir}/100dpi/lubBI??-ISO8859-*.pcf.gz
# font-bh-lucidatypewriter-100dpi
%{_x11fontdir}/100dpi/lut[BR]S??.pcf.gz
%{_x11fontdir}/100dpi/lut[BR]S??-ISO8859-*.pcf.gz
# font-bitstream-100dpi
%{_x11fontdir}/100dpi/char[BIR]??.pcf.gz
%{_x11fontdir}/100dpi/charBI??.pcf.gz
%{_x11fontdir}/100dpi/tech14.pcf.gz
%{_x11fontdir}/100dpi/techB14.pcf.gz
%{_x11fontdir}/100dpi/term14.pcf.gz
%{_x11fontdir}/100dpi/termB14.pcf.gz

%files Type1
%defattr(-,root,root,-)
%dir %{_catalogue}
%{_catalogue}/xorg-x11-fonts-Type1
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.cache-*
#font-xfree86-type1
%{_x11fontdir}/Type1/cursor.pfa
# font-adobe-utopia-type1
%{_x11fontdir}/Type1/UT??____.[ap]f[ma]
# font-bitstream-type1
%{_x11fontdir}/Type1/c0???bt_.[ap]f[mb]

#==========================================================================
#scriptlet area

%post misc
{
FONTDIR=%{_x11fontdir}/misc
mkfontdir $FONTDIR
fc-cache $FONTDIR

# Generate the encodings.dir files in the encodings directories during
# install time to work around bugs in upstream Makefiles.
  {
  ENCODINGSDIR=%{_x11fontdir}/encodings
  pushd "${ENCODINGSDIR}" &> /dev/null
  mkfontscale -n -e "${ENCODINGSDIR}" -e "${ENCODINGSDIR}/large"
  popd &> /dev/null
  }
}

%postun misc
{
if [ "$1" = "0" -a -d %{_x11fontdir}/misc ]; then
  mkfontdir %{_x11fontdir}/misc
  fc-cache %{_x11fontdir}/misc
fi
}
#--------------------------------------------------------------------------
%post cyrillic
mkfontdir %{_x11fontdir}/cyrillic

%postun cyrillic
{
if [ "$1" = "0" -a -d %{_x11fontdir}/cyrillic ]; then
  mkfontdir %{_x11fontdir}/cyrillic
  fi
}
#--------------------------------------------------------------------------
%post ethiopic
{
FONTDIR=%{_ttf_fontdir}/TTF
#ttmkfdir -d $FONTDIR -o $FONTDIR/fonts.scale
mkfontdir $FONTDIR
fc-cache $FONTDIR

FONTDIR=%{_otf_fontdir}/OTF
mkfontscale $FONTDIR
mkfontdir $FONTDIR
fc-cache $FONTDIR
}

%postun ethiopic
{
FONTDIR=%{_ttf_fontdir}/TTF
if [ "$1" = "0" -a -d $FONTDIR ]; then
  #ttmkfdir -d $FONTDIR -o $FONTDIR/fonts.scale
  mkfontdir $FONTDIR
  fc-cache $FONTDIR
  fi
FONTDIR=%{_otf_fontdir}/OTF
if [ "$1" = "0" -a -d $FONTDIR ]; then
  mkfontscale $FONTDIR
  mkfontdir $FONTDIR
  fc-cache $FONTDIR
  fi
}
#--------------------------------------------------------------------------
%post 75dpi
mkfontdir %{_x11fontdir}/75dpi
fc-cache  %{_x11fontdir}/75dpi

%postun 75dpi
{
if [ "$1" = "0" -a -d %{_x11fontdir}/75dpi ]; then
  mkfontdir %{_x11fontdir}/75dpi
  fi
}
#--------------------------------------------------------------------------
%post 100dpi
mkfontdir %{_x11fontdir}/100dpi
fc-cache  %{_x11fontdir}/100dpi

%postun 100dpi
{
if [ "$1" = "0" -a -d %{_x11fontdir}/100dpi ]; then
  mkfontdir %{_x11fontdir}/100dpi
  fi
}
#--------------------------------------------------------------------------

%pre

#after upgrade or remove
%preun

%post

%postun

%changelog
